Subject: Re: bug#47086: [PATCH] gnu: tig: Update to 2.5.3.

From: "jgart" <[email-masked]>
Date: Wed, 17 Mar 2021 22:03:22 +0000

myself:
> We would still author commits as LibreMiami with our group email, [email-masked].
> All the co-authors would be listed in the commit body, as usual.
> LibreMiami would not be mentioned in any copyright statements going forward. Instead, we would add the
> copyright statement for each contributor at the top of the file. 
--------------------------------------------------------------
zimoun:
> IANAL, the commit author is fine to be <your-imagination-is-the-limit>
> but the Copyright needs to be a legal person and cannot be an informal
> group. Or I do not see the reason of these Copyright lines header.

Hi Efraim,

If I take zimoun's advice above then my new proposal is indeed different because LibreMiami
is no longer listed in any of the source code under copyright statement headers going forward.

Instead, all those involved in group packaging would list their own copyright declarations in the
respective source code headers.

jgart

March 17, 2021 3:16 PM, "Efraim Flashner" <[email-masked]> wrote:

> On Wed, Mar 17, 2021 at 12:05:06PM +0100, Ludovic Courtès wrote:
> 
>> Hi,
>> 
>> "jgart" <[email-masked]> skribis:
>> 
>> From ab371a326536a91f7e1caa288e25a9a0818e2b7b Mon Sep 17 00:00:00 2001
>> From: LibreMiami <[email-masked]>
>> Date: Thu, 11 Mar 2021 23:49:11 -0500
>> Subject: [PATCH] gnu: tig: Update to 2.5.3.
>> 
>> * gnu/packages/version-control.scm (tig): Update to 2.5.3.
>> 
>> Co-authored-by: jgart <[email-masked]>
>> Co-authored-by: donotshake <donotshake:matrix.org>
>> 
>> Applied.
>> 
>> However I agree with zimoun that assigning copyright to LibreMiami is
>> debatable.
> 
> Is it really that different than everyone involved assigning their
> copyright to LibreMiami as an aggregator and then sending the patch in?
> 
> --
> Efraim Flashner <[email-masked]> אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D 14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted